Create an FPolicy persistent store configuration for an SVM
Configures an FPolicy persistent store for an SVM to manage event notifications in persistent mode. This setup is typically used on data SVMs to ensure consistent policy enforcement even when the store reaches capacity.
HTTP method and endpoint
POST /protocols/fpolicy/{svm.uuid}/persistent-stores
Introduced in
ONTAP 9.14
Usage notes
Creates an FPolicy persistent store configuration for a specified SVM.
Important notes:
-
FPolicy persistent store creation is allowed only on data SVMs.
-
In persistent mode, when the persistent store is full, event notifications are dropped.
Required properties
-
svm.uuid- Existing SVM in which to create the FPolicy persistent store. -
name- Name of the FPolicy persistent store. -
volume- Volume specified for persistent store (only FlexVol volumes of type RW are supported).
Related ONTAP commands
-
fpolicy persistent-store create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
name |
string |
The name specified for the FPolicy persistent store. |
svm |
||
volume |
string |
The specified volume to store the events for the FPolicy persistent store. |
Example request
{
"name": "ps1",
"svm": {
"uuid": "string"
},
"volume": "psvol"
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[fpolicy_persistent_store] |
Example response
{
"num_records": 1,
"records": [
{
"name": "ps1",
"svm": {
"uuid": "string"
},
"volume": "psvol"
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
| Error Code | Description |
|---|---|
9765052 |
Cannot create more than one persistent store per SVM |
9765053 |
Volume mentioned does not exist in the SVM |
9765068 |
The persistent store name is too long. It must not exceed 500 characters |
2621516 |
This operation is only supported on a data SVM |
9765069 |
Volume is not a Flexvol. Only FlexVols are supported for this operation. |
9765071 |
Volume without junction-path is not supported. |
9765072 |
Volume is not of type RW. Only volumes of type RW are supported. |
Definitions
See Definitions
svm
| Name | Type | Description |
|---|---|---|
uuid |
string |
SVM UUID |
fpolicy_persistent_store
The information that an FPolicy process needs in order to configure a persistent store.
| Name | Type | Description |
|---|---|---|
name |
string |
The name specified for the FPolicy persistent store. |
svm |
||
volume |
string |
The specified volume to store the events for the FPolicy persistent store. |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |